UDM changelog
 TODO:
  - Plotter: access violation in Windows 10 when plotter maximized, workaround: resize plotter window smaller then restart.
  - SendGet: never recovers if power is lost and new requests are sent during 3second bootload time. A retry could be implemented that waits at least three seconds before trying.
  - Plotter: Add feature to show an arbitrary star altitude value (for Milky Way effect).
  - Plotter: add sun elevation to x axis.
  - GoTo: initial reading does not have valid position logged.
  - Vector plot: include options for; mpsas scale, cardinal directions, grid, lat, long, elev, start date/time, and end date/time.
  - GoTo manual coordinate entry not accepted unless Enter pressed on Mac.
  - Mac port conflicts between SQM/GFS/GoTo should have better error detection then disable connection.
  - First GoTo reading does not indicate the proper Zenith/Azimuth.
  - Plotter: Add location data (averaged) if it exists.
  - Plotter: Show local/GMT start/end times on plot.
  - Vector plot to Google map .kml overlay somehow.
  - pacificnew tz error requires fix in upascaltz.

 DONE:
1.0.0.388 (2026-06-16)
 - Log Continuously: Fixed Snow meter logging to include regular reading and snow reading in one record.
1.0.0.387 (2026-06-10)
 - Plotter: Added Invert-MPSAS checkbox on settings tab.
1.0.0.386 (2026-05-15)
 - Plotter: fixed loading position data while Sun/Moon plot enabled, it used to disable the settings.
1.0.0.385 (2026-04-04)
 - ARP method tool: Added tool for Linux to assist in automating the arp method to recover out-of-network Ethernet IP addresses.
1.0.0.384 (2026-04-01)
 - Plotter: Fix preview mode crash for voltage and temperature unselected.
 - Datalogger: bugfix crashing when FLASH memory is faulty (0 capacity).
 - Datalogger: bugfix range check crash when unit date is very old (circa 1899).
1.0.0.383 (2026-03-31)
 - Plotter: Fix preview mode crash for larger .dat files containg day and night records.
1.0.0.382 (2026-03-28 )
 - Plotter: Add preview mode to editor.
1.0.0.381 (2026-03-15 )
 - Plotter: fix loading .dat files with no position set to disable Sun/Moon plotting.
1.0.0.380 (2026-03-12 )
 - Plotter editor, fix reloading CMD/WIN selection. Touch up cursor sizes, slection range, selection style.
1.0.0.379 (2026-03-10 )
 - Plotter: Add Undo edit feature (one level).
1.0.0.378 (2026-02-25 )
 - Plotter: Save/restore editing modifier key selection.
1.0.0.377 (2026-02-25 )
 - Plotter: Added editing modifier key selection.
1.0.0.376 (2026-02-24 )
 - .dat file header: Update definitions file location (darksky.org) text.
 - recognize SQM-LL model
 - Tools: Comm Terminal: Added Send and Reset button. Scroll to last entry in windows.
 - Tools: Startup Test: Response from reset test, and comparison of average and unaveraged period and temperature.
 - Plotter: Added simple editing (deletion/export of records).
1.0.0.375 (2025-11-14)
 - Log Continuously: Added fixed temperature range.
1.0.0.374 (2025-11-03)
 - Bugtest: Crashed when opening subwindows on second monitor because of qtk widgetset, changed to gtk2 which solved problem, but looks like garbage and transpacency is lost.
1.0.0.373 (2025-09-24)
 - Tool: .dat replace dates added.
1.0.0.372 (2025-09-11)
 - Fix: on some OSes like Ubuntu 24.04 ,  the header settings did not get saved when using the X to close UDM.
1.0.0.371 (2025-08-03)
 - View directories, and View Log: added "open directory" buttons for quick access to files.
1.0.0.370 (2025-08-01)
 - Communication lock option added to main screen to try and alleviate problem with other software clobbering a COM port after UDM selected it.
1.0.0.369 (2025-07-18)
 - Log Continuous: restrict resizing to show Look/Status panes.
1.0.0.368 (2025-07-08)
 - Configuration: Allow Dark cal to go below 50 (to 40s) and not show red warning light.
1.0.0.367 (2025-04-24)
 - Logging: provide GPS data logging with -GPSL command line option.
 - GPS: error logging during GPS read instead of just crashing.
1.0.0.366 (2025-04-14)
 - Logging: Added log record for every button press on main screens.
1.0.0.365 (2025-04-02)
 - Startup bugfix: Crashed when no network found. Caused by changes to Ethernet discovery changes for new MacOS.
1.0.0.364 (2025-03-29)
 - DL Header: Sanitize Location name before saving file with that text.
1.0.0.363 (2025-03-17)
 - Command line: added -DLRESS to retrieve then erase database or records in DL meter.
1.0.0.362 (2025-03-12)
  - DL header: add note about information stored in computer (not in meter).
1.0.0.361 (2025-03-02)
  - Find Ethernet devices: - changed method of identrifying the IP address of this machine to overcome new challenge from MacOS Sequoia 15.3
1.0.0.360 (2025-02-14)
  - DL Retrieve: saved file name format LocationName_InstrumentID_YYYYMMDD_HHMMSS.dat
  - Command line: -DLRSS DL Retreive Send Shutdown to be used in conjunction with -SUI
1.0.0.359 (2025-02-06)
  - GPS tab: fixed up some widget positioning.
1.0.0.358 (2025-01-30)
  - Mac: changed USB device search from /dev/tty.* to /dev/cu.* (non-blocking) because MacOS Sierra 15.* update was unresponsive.
  - Cleaned up some graphics placements for qt5.
  - View log is read only now.
  - Removed FoundDevices doubleclick action since it messed up too much on MacOS.
1.0.0.357 (2024-12-16)
  - Info Tab: added checking for Report Interval settings being made since they can cause confusdion to normal operation.
1.0.0.356 (2024-10-05)
  - Vector: Calibration buttons fixed and min/max/spread shown for modules with large accelerometer offsets (FW84 uses +/-4g).
1.0.0.355 (2024-09-22)
  - Vector: Show ACM temperature on vector calibration screen used with FW version 84.
1.0.0.354 (2024-08-20)
  - DL Header: Include Datalogging trigger mode.
1.0.0.353 (2024-08-14)
  - Header form: All entries now have pop-up hints from the original header spec.
  - .dat filename is prepended with the Location name(spaces are removed and underscore is added) defined in the header.
1.0.0.352 (2024-03-20)
  - LogContinuously SCP file transfer: allow remote username to be defined.
1.0.0.351 (2024-03-15)
  - .dat time correction tool: Fix up Sunrise difference tool and plotter to show the sunrise difference.
1.0.0.350 (2024-02-21)
  - About: Tidy up time zone display.
  - Plotter: prevent crashing while moving cursor over non-continuous line.
  - Startup: in Linux allow for DataDirectoryAlternate path defined in the [Directories] section of the configfile.
  - SVG plot: remove feature until it can load fonts in the future.
1.0.0.349 (2024-02-20)
  - DLHeader: Fix loading UserComment1-5 upon start.
1.0.0.348 (2024-02-08)
  - Logcont: "Fixed sunrise/sunset" display fixed for local time.
  - DLHeader: Add Wikipedia link to TimeZone definitions.
1.0.0.347 (2024-02-08)
  - Built with Lazarus 3.0, tidied up main window repainting in Linux.
  - Added version number to Log Continuosly window.
1.0.0.346 (2024-01-17)
  - About: Added time statistics: UTC, Local, Zone difference time.
  - Tool: .dat local time reconstruction: Updated to allow whole directory conversion and customized time offset.
1.0.0.345 (2023-12-27)
  - Plotter: Show unit serial number at bottom right.
1.0.0.344 (2023-12-09)
  - Statup Options: Allow for multiple USB device IDs (i.e. -SUI,x,y,z) to be selected for LogContinuous.
1.0.0.343 (2023-10-31)
  - LogCont: Transfer each reading by TCP.
1.0.0.342 (2023-09-19)
  - DL plotter bugfix: Do not crash when the position is not entered into the .dat file.
1.0.0.341 (2023-09-03)
  - Added: Help menu now includes direct links to operators manuals and Unihedron resources.
1.0.0.340 (2023-09-01)
  - Added tool: Filter-Sun-Moon-MW-Clouds.csv
1.0.0.339 (2023-08-13)
  - Multiple instances of UDM allowed now. udm.log can be appended from any instance.
1.0.0.338 (2023-07-30)
  - .dat time correction: Added Linear and Sunrise features.
1.0.0.337 (2023-07-16)
  - XPort reset: failed to save telnet settings, waitfor or timeout on closing statement works now.
1.0.0.337 (2023-07-16)
  - Access Denied: Reset logfilefile location if saved directory does not exist.
  - Goto: Clear saved Goto file if saved filename does not exist.
1.0.0.336 (2023-07-15)
  - Find Ethernet: Use dual subnet mask IP broadcast for multiple Ethernet cards. Broadcast to triple subnet (n.n.n.255) and no subnet (255.255.255.255)
1.0.0.335 (2023-05-10)
  - Startup option: added -SU command line option to look for only USB devices on startup.
  - Color model: fixed logging header to define Fixed/Cycling modes.
  - LogContinuous: Fixed trigger every x minutes uses to 1 if unset.
1.0.0.334 (2023-05-01)
  - DL retrieve: show the trigger seconds and threshold settings in the retrieved .dat file.
1.0.0.333 (2023-04-26)
  - Find Ethernet: Use separate subnet mask IP broadcast for multiple Ethernet cards.
1.0.0.332 (2023-04-17)
  - GPS: Accept GNGGA/GNGSV text as well as the GPGGA/GPGSV text.
1.0.0.331 (2023-04-17)
  - GPS: Accept GNRMC text as well as the GPRMC text.
1.0.0.330 (2023-04-02)
  - Label: prints capacity for snow model.
1.0.0.329 (2023-02-9)
  - LogContinuous: pressing X to close no longer crashes.
  - Checking for location information in Header passes instead of requiring a restart.
1.0.0.328 (2023-02-8)
  - Sun-MoonClouds algorithm: Always fill Volts with -1.0 and Status with -1 if fields are empty.
  - DL set clock: restart reading clock each time settings dialog is opened to show "Reading..."
1.0.0.327 (2023-02-6)
  - Sun-MoonClouds algorithm: Always output Volts and Status columns even if fields are empty.
1.0.0.326 (2023-01-13)
  - Sun-MoonClouds algorithm: allow for 1 minute sampling (from 5 minute sampling).
1.0.0.325 (2023-01-10)
  - Configuration tab: tracking of scrolled window.
  - View->Config Browser added to allow export/import of serial number specific header file information
  - Split log file into generic udm.log and SNxxxx.log file for portability when sharing meters.
1.0.0.324 (2022-12-23)
  - Tools: Cloud removal and Milky Way position tool: rename a field to MinSince3pmStdTime
1.0.0.323 (2022-11-30)
  - DL clock setting: Added timing instructions. Added charging/running and set indicators.
1.0.0.322 (2022-09-16)
  - DL: Added identifier for new RTC chip DS1390.
  - Configuration tab: fixed up reading Holder/Lens/Filter type, was same as previously selected device.
  - DL Retrieve: Darken font on retrieve notes for Mac.
1.0.0.321 (2022-08-17)
  - Tools: Cloud removal and Milky Way position tool: bugfix for DST
1.0.0.320 (2022-06-19)
  - Header: Report Interval settiungs logged to .dat header.
  - DL-retrieve: Flush retrieve write-cache to solve missing records in large 200k record download.
1.0.0.319 (2022-05-11)
  - LogCont: Restart logging if restarting from crashed session if only meter is found or meter is defined on command line.
1.0.0.318 (2022-05-10)
  - Plotter: Allow for European location (with commas).
1.0.0.317 (2022-05-03)
  - LogCont plot: fixed image name to separate local and remote names.
1.0.0.316 (2022-05-01)
  - LogCont plot: Add separate image files for each day. HTML includes: <!-- SQM-imagename -->
1.0.0.315 (2022-04-02)
  - LogCont plot: Add best reading for plot. HTML includes: <!-- SQM-Best --> and <!-- SQM-BestTime -->
1.0.0.314 (2022-03-27)
  - LogCont plot: bugfix: Moon plotting failed when DST spring makes missing time.
1.0.0.313 (2022-02-26)
  - LogCont plot: Fixed up twilight date range to switch at new evening.
1.0.0.312 (2022-02-13)
  - LogCont: Added Moon azimuth to record.
  - RS232: Fixed selection to disallow other interface selections.
1.0.0.311 (2022-02-05)
  - Plotter: Added Zero plot setting option to plot the reading line when the mpsas value goes to the invalid reading of zero.
1.0.0.310 (2022-02-03)
  - Added: Startup options from the File->StartUp options menu operates like command line options.
  - Logcont: X axis shows date or date range instead of "Sample time".
  - Added: transfer html include <!-- SQM-mcdm2 --> formatted with 5 decimal places.
  - Fixed: transfer html shows mspas again, was broken whern checking for -- at mpsas =0.
1.0.0.309 (2022-02-01)
  - Added: Logging Continuous start button and Logging Settings buttons.
  - Enable Header button when a meter has been selected instead of waiting for the Version button response.
1.0.0.308 (2022-02-01)
  - NELM, CDM2, MPSAS, NSU: displayed as -- when too bright (mpsas = 0).
1.0.0.307 (2022-01-31)
  - LogCont: Moon plot drawn on fixed time plot.
1.0.0.306 (2022-01-29)
  - Information tab: Device details tabs are disabled when no device is selected.
  - LogCont: Restore size and slider position whern restarting.
1.0.0.305 (2022-01-26)
  - LogCont: Added evening twilight ranges (x axis) to plot.
1.0.0.304 (2022-01-18)
  - LogCont: CDM2 display has three decimal points now.
  - LogCont: Transfer: Fixed NextRecordAt timestamp.
1.0.0.303 (2022-01-14)
  - Plotter: Fixed crash on missing record type in .dat file.
  - LogCont: Added minor grid lines (doted on the 0.5mpsas) major grid (solid on the integer mpsas).
1.0.0.302 (2022-01-08)
  - LogCont: Fixed Night mode Moon plot color.
  - LogCont: Fixed cdm2 html display.
1.0.0.301 (2022-01-08)
  - LogCont Added fixed Y axis reading option.
  - LogCont Fixed cdm2 reading exponent display.
1.0.0.300 (2022-01-05)
  - LogCont Transfer: Added expect transfer script for SFTP password login.
1.0.0.299 (2021-12-26)
  - LogCont: Add SFTP transfer feature.
1.0.0.298 (2021-12-19)
  - LogCont: Remove Chart scale ticks for Moon and Temperature because they look like negative signs.
1.0.0.297 (2021-12-19)
  - LogCont: Location name and geographical Position from header displayed on readings plot window and sent through html.
1.0.0.296 (2021-12-18)
  - LogCont: Night mode plot, and html-template updates.
1.0.0.295 (2021-12-16)
  - LogCont: Added html file to transfer to a server.
1.0.0.294 (2021-12-14)
  - LogCont: Introduced transferring plot-file to a server.
1.0.0.293 (2021-12-01)
  - Tools: Cloud removal and Milky Way position tool:
     - Remove persistent location data when starting up.
     - Timestamp error trapping for .dat files.
     - Removed persistent location data to avoid possible errors.
     - Datetime error format tidied up for error reporting.
     - Datetime stamp added to not-enough records error.
1.0.0.292 (2021-11-28)
  - Tools: Cloud removal and Milky Way position tool: Error reporting for missing records include datestamp.
1.0.0.291 (2021-11-28)
  - Tools: Cloud removal and Milky Way position tool: Added detailed checking and reporting for missing data records.
1.0.0.290 (2021-11-27)
  - Tools: Cloud removal and Milky Way position tool: Stop on non-contiguous records.
1.0.0.289 (2021-11-26)
  - Tools: Cloud removal and Milky Way position tool: Allow SQM-LE .dat files to be converted.
1.0.0.288 (2021-11-21)
  - Tools: .dat to Moon Sun .csv : Processing status shown.
1.0.0.287 (2021-11-19)
  - Tools: Cloud removal and Milky Way position tool: Remove persistent file selection, now force user to select a new file for conversion.
1.0.0.286 (2021-11-17)
  - Plotter: Time offset addition of minute, hour, day, week UpDown buttons for faster estimates.
  - Tool, .dat to Moon Sun .csv : tidy up output header line.
1.0.0.285 (2021-11-06)
  - Tools: Cloud removal and Milky Way position tool: Added description to tool screen.
1.0.0.284 (2021-11-06)
  - Tools: Cloud removal and Milky Way position tool: - fix galactic latitude error.
1.0.0.283 (2021-11-05)
  - Tools: Cloud removal and Milky Way position tool: - label of "Not-Specified" location.
    - change galactic longitdue calculation
1.0.0.282 (2021-11-02)
  - Tools: Cloud removal and Milky Way position tool: Position checking for .dat file, output text cleaned up.
1.0.0.281 (2021-11-02)
  - Tools: Cloud removal and Milky Way position tool: Import locatyion name from .dat, rename menu name, rename file outpuit suffix
1.0.0.280 (2021-11-01)
  - Tools: Cloud removal and Milky Way position tool: allowed location to be read from .dat file.
1.0.0.279 (2021-10-29)
  - Tools: Cloud removal and Milky Way position tool: removed time consuming debugging statements.
1.0.0.278 (2021-10-28)
  - time correction tool, prevent changing of time offset that is read from .dat file.
1.0.0.277 (2021-10-19)
  - Tools: Concatenate tool added to combine multiple .dat files from a directory.
  - Tools: Cloud removal and Milky Way position tool beta added.
1.0.0.276 (2021-10-09)
  - Header/Worldmap: Apply location redraws the cursor on the map.
  - Plotter: window resizing allowed with scrolled control section for smaller screens.
1.0.0.275 (2021-07-10)
  - Plotter: Clear Multiple mode files from list when Clear is pressed.
  - DLRetrieve: Record computations moved outside record writing to try to eliminate dropped characters on slow Mac computers.
1.0.0.274 (2021-06-09)
 - DL-retreive page: re-arrange/rename binary/ascii button for easier identification.
 - DL-retreive page: Fix ASCII retreive function to work with newer Vector model firmware.
1.0.0.273 (2021-06-07)
 - Snow: fix log continuous to work when snow led is disabled.
1.0.0.272 (2021-05-09)
 - Plotter: Fixed up cursor field alignments at bottom of plot window.
1.0.0.271 (2021-05-08)
 - Convert .dat to Moon .csv now shows line number of corrupted .dat file.
1.0.0.270 (2021-05-07)
 - World coordinates entry fixed for only decimal point "." as defined in the SkyGlow Standard.
1.0.0.269 (2021-01-23)
 - Vector tab: Moved dependency on lazopenglcontext from udm to vector to avoid loading and crashing Raspberry Pi remote connection.
1.0.0.268 (2021-01-18)
 - Vector plot: "enhanced1" colour scheme name changed to "2016newatlas".
 - Vector plot: Replot vector file when "Colour scheme" or "Range" is changed.
1.0.0.267 (2021-01-04)
 - Plotter: Continuous line option overrides all initial values.
1.0.0.266 (2020-12-28)
 - Log continuously: Added Split file hour option, instead of always splitting at mignight.
1.0.0.265 (2020-12-26)
 - Firmware tab: Fixed USB disconnect mode to work on a Mac (Darwin)
1.0.0.264 (2020-12-06)
 - Plotter: resize oversized window to 1000x1000 to reduce access violation in Windows 10.
1.0.0.263 (2020-12-05)
 - Plotter: resize oversized window to prevent access violation in Windows 10.
1.0.0.262 (2020-12-04)
 - Plotter: Remove writeln; attempt to resolve access violation in Windows 10.
1.0.0.261 (2020-12-04)
 - Plotter: Remove unused code; attempt to resolve access violation in Windows 10.
1.0.0.260 (2020-11-16)
 - Plot lighpollutionmap .txt files.
1.0.0.259 (2020-09-10)
 - GPS is Navilock NL-602U: Display only proper filtered NMEA string.
1.0.0.258 (2020-09-09)
 - GPS is Navilock NL-602U: GPRMC field that is not preceded with CRLF, $ only start.
1.0.0.257 (2020-09-09)
 - GPS is Navilock NL-602U: GPRMC field with trainling space.
1.0.0.256 (2020-09-09)
 - Test log continuous rollover hour customization (away froim midnight only).
 - GPS is Navilock NL-602U: GPRMC field number (from 14 to any).
1.0.0.255 (2020-06-30)
 - BugFix: LogCont Moon and GPS .dat header labelling was swapped.
1.0.0.254 (2020-06-25)
 - Light calibration entry now accepts decimal point while in Europe region.
1.0.0.253 (2020-05-17)
 - Plotter: Snow unit plot fixed.
1.0.0.252 (2020-03-07)
 - LogCont: Added option to get Raw frequency 'rFx' reading from FW 75 and up.
1.0.0.251 (2020-02-05)
 - Plotter: Fix crash when opening on Win64 due to plot pointer style variable being undefined.
1.0.0.250 (2020-02-02)
 - Plotter: Add some try/except error messages to plotter unit.
1.0.0.249 (2020-01-29)
 - Plotter: fix MPSAS Y scale showing negative values introduced earlier.
1.0.0.248 (2020-01-25)
 - Plotter: fix missing data from LU model introduced in last edit.
 - DL tab: remove wrong mouseover hint for DL trigger panel.
1.0.0.247 (2019-12-10)
  - LogCont plotter fixed MPSAS range after Moon elevation was recently added.
  - TimeZone: problem "no valid first week day for" "Sunday" after .... revert back to tzdb-2019a since 2019c fails.
  - Colormodel: fix up plot to differentiate betweem MSAS and MSASRaw field and various other plotting features fixed.
  - Colormodel: temporarily change darkness plot to Counts (period) since internal meter calculation of MPSAS did not allow for overflow (especially in Blue filtered values.
1.0.0.246 (2019-11-17)
  - LE: Added statusmessage note to press FIND after resetting XPort defaults.
1.0.0.245 (2019-11-02)
  - LogCont: clear old temperature series plot when re-recording.
1.0.0.244 (2019-11-01)
  - Mac: Find box font for Cocoa now shows fixed font for better alignment.
1.0.0.243 (2019-10-23)
  - Mac: Fixed internal references and compiled for 64 bit Catalina
  - Firmware: add USB serial port check button to help recover wrong firmware install.
1.0.0.242 (2019-10-16)
  - DL: Device: Real Time Clock setting window resized for Windows.
  - Firmware: Add reset cycling button for special cases of dead firmware install.
1.0.0.241 (2019-10-16)
  - Firmware update: remove initial reset wait so that bricked meter be reset from power up instead of programmed reset.
1.0.0.240 (2019-10-03)
  - Plotter: Accumulate mode fixed no longer makes previous plot lines invisible.
1.0.0.239 (2019-09-15)
  - GoTo: Command line accepts naming GoTo script -LCGN,name
1.0.0.238 (2019-09-11)
  - Snow: DL storage display handles readings with snow enabled or disabled.
  - Timezone: Tried updating to tzdata2019c, but there was a date failure. Had to revert to tzdata2019b.
1.0.0.237 (2019-09-10)
  - Snow: Binary retrieve for DL Snow logging implemented.
  - Snow: Storage display, and Retrieve All ASCII now show full unsigned large size Standard and Snow frequencies instead of cropped signed values.
1.0.0.236 (2019-08-21)
  - Plotter: Ignore timestamps older than year 2000 since something must have went wrong with the .dat file.
1.0.0.235 (2019-08-20)
  - GoTo: added commandline option to start GoTo logging then shutdown when done.
1.0.0.234 (2019-08-02)
  - Tool: ".dat to Moon Sun .csv" Added Sun elevation.
  - Plotter: Fixed up dotted plot lines to show volt/temp/sun/moon even when mspas is saturated.
1.0.0.233 (2019-07-30)
  - Plotter: fixed up wrong directory separator for Windows.
1.0.0.232 (2019-07-29)
  - Plotter: Customized line colors and widths defined in ini/cfg file.
  - Plotter: Dots on MPSAS plot line enhanced: tiny dot=saturated light sensor (zero unconnected plot line), square=initial reading, none=subsequent readings.
1.0.0.231 (2019-07-28)
  - Plotter: Twilight lines terminated with triangle pointers for better visibility.
  - Plotter: @pointer procedures moved up in a test to solve Windows access violation problem.
  - Plotter: Added some debugging log messages  in a test to solve Windows access violation problem.
1.0.0.230 (2019-07-27)
  - Plotter: Twilight lines properly limited to start and end of plot.
1.0.0.229 (2019-07-25)
  - Plotter: Directory separator for windows files fixed to prevent ioerror.
  - Plotter: Some poistion parsing got confused in European settings, now decimal points are forced for lat/lon positions.
1.0.0.228 (2019-07-23)
  - DL: Log one record: warn if nothing logged due to threshold or anything else.
  - Plotter: initial points for Temperature and Voltage visible now in same color as pen.
  - Plotter: initial points for MPSAS now in same color as pen (red, not black).
1.0.0.227 (2019-07-22)
  - Command line parameters: Added some selected device name log comments for troubleshooting.
  - Plotter: Multiplot selection checks for duplicates before adding new plots.
1.0.0.226 (2019-07-10)
  - Configuration-Label: crashed on Windows, no more.
1.0.0.225 (2019-07-9)
  - Plotter: Switched panning from middle mouse button to right mouse button for laptop use.
  - Log one record: required at least 6 fields, more caused crash. Now reuires at least 6 fields.
1.0.0.224 (2019-07-08)
  - Plotter: Temperature scale color set to more readable darker green.
  - Plotter: Cursor outside plot data when changing plots caused a crash.
1.0.0.223 (2019-07-06)
  - Plotter: European plotting of mpsas showed 0,00 instead of n.nn
1.0.0.222 (2019-06-28)
  - Plotter: Reading at cursor text was too long, suffix shortened from mpsas to m.
  - DL: Retrieve All (Ascii) stopped because it was expecting an extra field.
1.0.0.221 (2019-06-27)
  - Firmware loading mask filters DL and DLS models separately.
1.0.0.220 (2019-06-23)
  - .dat to moon csv now accepts DL.dat files from firmware version 66 Snow factor.
1.0.0.219 (2019-06-15)
  - LogCont: Allows recording of snow accessory LED status.
1.0.0.218 (2019-06-11)
  - DL: Updated Snow model (separate model) with 32 byte records and linear field data for standard and snow recording.
1.0.0.217 (2019-05-28)
  - Tool: .dat to .kml now accepts minimum number of fields for Timestamp,MSAS,Latitude,Longitude
1.0.0.216 (2019-05-03)
  - GPS lat/lon now working for European decimal comma.
1.0.0.215 (2019-04-25)
  - DL retrieve snow factor label included in header.
  - .dat to moon csv now accepts DL.dat files with Snow factor.
1.0.0.214 (2019-04-21)
  - DL retrieve snow factor fields with "Retrieve All" button now works.
1.0.0.213 (2019-04-01)
  - Plotter: add option to plot continuous instead of gaps caused from irregular timed recordings.
  - DL Retrieve page: Plotter button fixed to allow clicking on .dat files (was a show/showmodal problem).
1.0.0.212 (2019-03-29)
  - Log Continuous FTP transfer error reporting (for cannot FTP) instead of ambiguous IOERROR.
  - DL: threshold value separate variable for slow GUI like MacOS or possibly Windows. Might have been preventing log continuous.
  - Snow DL settings only show when Snow logging isw enabled now.
1.0.0.211 (2019-03-10)
  - Display logged snow factor from embedded data in datalogged record where 0 to 255 = 0 to 4.00mpsas.
  - Indicate "UTC Date:" in datalog record view instead of just "Date:".
  - DL: "Ascii retrieve all" allows more fields from new models insetad of just stopping.
  - Accessory tab shows Snow LED reported frequencies.
1.0.0.210 (2019-02-27)
  - Calibration button colors added to Mac and Windows versions.
1.0.0.209 (2019-02-25)
  - removed crashing status message for creating new logs directory before status line is created.
1.0.0.208 (2019-02-22)
  - Internal updating for Lazarus verion 2, and for use on Mac OSX Mojave 10.14.3.
1.0.0.207 (2019-01-15)
  - Snow LED: reading while freshness is unchecked
1.0.0.206 (2019-01-14)
  - Snow LED: Logging control
1.0.0.205 (2019-01-06)
  - Snow LED: ON/OFF control added to accessories page.
  - Plotter: drag zoom now non-proportional to all for any zoom-in shape.
1.0.0.204 (2019-01-01)
  - LR model: wrong record count was expected in log continuous.
1.0.0.203 (2018-12-23)
  - GoTo: Synscan; Hide L command for GoTo status, too verbose.
1.0.0.202 (2018-12-22)
  - GoTo: Synscan; Expose L command for GoTo status.
1.0.0.201 (2018-12-21)
  - GoTo: Synscan; fixed up sending to 359deg and padded '00'.
1.0.0.200 (2018-12-21)
  - GoTo: Synscan; improved status message for testing set/get strings.
1.0.0.199 (2018-12-19)
  - GoTo: Synscan entry off by 90 degrees and Zenith/Azimuth mixed up for get-coordinates.
1.0.0.198 (2018-12-18)
  - Goto: switching machine types does not immediately register when pressing "Set"
  - Goto: Synscan set zenith/azimuth was off by 90degrees.
1.0.0.197 (2018-12-18)
 - DLRetrieve-VectorPlot: Added button for "Export image" to PNG file.
1.0.0.196 (2018-12-17)
 - GoTo: Added some Error checking for Synscan
1.0.0.195 (2018-12-16)
 - GoTo: Renamed Synscan to more accurate SynscanV4
 - GoTo: Converted all Altitude references to more astronmically standard Zenith.
1.0.0.194 (2018-12-15)
 - GoTo: Synscan added CRLF.
 - GoTo: Reading of default.goto file for positioning.
1.0.0.193 (2018-12-15)
 - GoTo: iOptron get/set position.
1.0.0.192 (2018-11-29)
 - upascaltz updated to parse latest tz database.
 - workarounds for tz database removed.
 - removed obsolete pacificnew time zone region.
1.0.0.191 (2018-11-28)
 - Timezone database updated to version 2018g
1.0.0.190 (2018-11-04)
 - GoTo: Precise go to position command fixed 'b'.
1.0.0.189 (2018-11-01)
 - Plotter: Fix voltage range to 2 to 6V.
1.0.0.188 (2018-10-31)
 - GoTo: only send commands with CRLF, Add Go to position.
1.0.0.187 (2018-10-31)
 - GoTo: Added extra command entry testing and watching for # instead of CRLF in responses
1.0.0.186 (2018-10-30)
 - Model numbering for new SQM-LE lens = SQM-L2E
1.0.0.185 (2018-10-28)
 - GoTo: Add CRLF to end of commands.
1.0.0.184 (2018-10-27)
 - GoTo: Populate port options when LogCont window is created.
1.0.0.183 (2018-10-27)
 - GoTo: touched up serial reporting windows, added dropdown list for Mac.
1.0.0.182 (2018-10-18)
 - Time zone database updated to "2018f release", had to comment line 993 of europe, uncomment line 995.
1.0.0.181 (2018-10-14)
 - Synscan: Initial test for connectivity and Alt-Az reading on Log Continuous page.
1.0.0.180 (2018-10-11)
 - GPS: Allow baud rate of 115200 for GPS GlobalSat BU-353 S4 (5Hz), Selection box added to Log continuous GPS page.
1.0.0.179 (2018-09-23)
 - Bugfix: DL retrieve all bin; reset comm busy time to prevent dropout with new communication model.
1.0.0.178 (2018-09-21)
 - Vector plot: save Orientation setting
 - Log continuous sound alerts deafult to empty command for all OS to find their own play command.
1.0.0.177 (2018-9-18)
 - Vector plot:
   - Legend color range select method changed for easier use with radio buttons.
   - Min/max reset when loading a new file.
   - Legend scale text updated on when min/max and reset pressed.
   - Azimuth cursor value fixed (0-360).
1.0.0.176 (2018-9-14)
 - Logcont: Added option to log one single .dat file instead of spliiting at each new day.
 - Vector plot: option for customized color legends in .ucld (semicolon separated variables) text files.
 - Vector plot: Option for not displying grid, and the other options are saved.
1.0.0.175 (2018-9-13)
 - requires Packages->OnlinePackagemanager->PlaySoundPackage installation.
 - Changed sound to pssync so that zombies die, and application.processmessages to keep timer running smoothly
   (Test Mac alert sound stopping after a while).
1.0.0.174 (2018-9-11)
 - Report interval page: added not about loading numbers.
 - color scheme lookup table handler for .ucld file on vector plot
 - Accesory page: touch up text sizing to prevent overlap.
 - Alert sounds: szNonWindowsPlayCommand only searched once at beginning for quicker access.
1.0.0.173 (2018-9-09)
 - Comm: Check Eth connect status before disconnecting.
         This may correct Debug not working because of EthSocket.CloseSocket crashing.
         And may solve Vector plot crashes in Windows when already connected to meter.
 - Comm: manual purge of USB since some Mac comm does not purge previous strings and identifies meter as other device.
1.0.0.172 (2018-9-08)
 - Vector plot: was crashing on Windows when DLretrieve was opened.
1.0.0.171 (2018-9-08)
 - Vector plot: option to plot either MPSA or MPSA-raw
1.0.0.170 (2018-9-07)
 - color plot: each color now associated with MPSAS Y axis lines series.
 - View directories: Log path cannot be changed on Mac.
 - Logcont: Alert sounds missing from frehsness setting restores to always when enabled.
 - Logcont: Alert sounds separately controlled.
1.0.0.169 (2018-9-06)
 - Log Continuously: Close/Open comm  before getreading to dual color cycling.
1.0.0.168 (2018-9-05)
 - Vector plot: Tidy up Orientation box
 - Vector plot: Remove color scheme options until they are working.
 - Comm: Reading request closecomm/opencomm because the Eth model times out,
     and sending to a closed port still gets sent (and again on retry).
 - color: Clear reading box after color change since a cycled color setting will cause a change anyway.
1.0.0.167 (2018-9-03)
 - LogCont: Change "Moving platform" setting label to "Freshness", and remove restriction of 1sec trigger time.
1.0.0.166 (2018-8-31)
 - color: Allow extra field from firmware 59 which now reports color-cycling field.
1.0.0.165 (2018-8-27)
 - Bugfix: remove doubleclicking on Found-Devices listbox, it caused problems and confusion in Windows.
 - color model: added Log Continuous logging for unaveraged and fresh readings.
1.0.0.164 (2018-8-27)
 - color: Add fresh/stale status to info:reading tab
1.0.0.163 (2018-8-24)
 - DL: Remove extra header definition added by MSASRaw,Status (Fresh/Stale) during retrieve.
1.0.0.162 (2018-8-15)
 - Fixed: View-Log save file works on Windows now. Was saving to filename with improper characters.
1.0.0.161 (2018-8-12)
 - Added: Scroll window to DL header settings page for larger fonts and smaller computer screens.
 - Documented: Limit for log contiunuous mode record range. Toottip shows 0 for unlimited.
1.0.0.160 (2018-8-6)
 - Added: Sending CSV option to log continuous transfer page.
1.0.0.159 (2018-7-26)
 - Fixed up communications connection to LE/LU.
 - Add check for conflicting GPS and meter ports.
1.0.0.158 (2018-7-22)
 - Mac RS232 reaction time improved (Opencomm to variable RS232PortName).
 - Spacing adjustments on Configutation tab for large font widget sets.
 - Added -DLR command line option to start up showing Datalogger retreive window.
1.0.0.157 (2018-6-19)
 - Vector: default to first page in calibration window and enable openGL displays.
 - WiFi: Identification, IP, port addition when found item clicked.
 - Log continuous: crashed when temperature plot was not enabled.
 - Vector plot: Fix Mac and Windows Min/Max updating for MVC methods.
1.0.0.156 (2018-6-03)
 - Cosmetic: Button sizing adjustments on various screens to accomadate for other OS layout themes.
1.0.0.155 (2018-5-23)
 - Vector-plot: Allow for Zenith field only (no Altitude field) in .dat file.
1.0.0.154 (2018-5-21)
 - Vector-plot: Status messages during parsing .dat for sky map files.
 - Vector-plot: Added Range setting buttons Reset and Min/Max.
1.0.0.153 (2018-5-20)
 - Firmware: remove multiple slashes from firmware file displayed filename path.
 - Plotter fix: Sun or moon enabled shows elevation legend
 - Plotter: fixed some sizing issues that got cropped in Ubuntu
1.0.0.152 (2018-5-19)
 - Log Continuous: Added optional temperature line to plot, fixed MSPAS inversion code to allow non-inverted temperature.
1.0.0.151 (2018-5-16)
 - Plotter: Separate twilight line series into separatly enabled lines (Plotter->Settings tab).
 - Plotter: Allow Darkness plot disabling so that other lines can be seen better (Plotter->Settings tab).
 - Plotter: Clip Sun/Moon plot option for elevations 18 degrees below horizon (unaffecting readings).
1.0.0.150 (2018-5-14)
 - Add: tool to convert .dat file date to JD and UT decimal date format.
 - Hints fixed on Plotter page.
1.0.0.149 (2018-5-13)
 - Typo Column header on Firmware page was "Filen name".
1.0.0.148 (2018-5-10)
 - Fixed: dat to kml import for DL model parsing data fields different location from LU model.
 - Fixed: removed misidentification of device type in version 147.
1.0.0.147 (2018-5-09)
 - Fixed: dat to kml import for DL model parsing data line description.
 - Added: UDP Identification for other device types with custom UDP response (i.e. Wifi) added.
1.0.0.146 (2018-4-17)
 - Bugfix: Tool for firmware 49-56 .dat correction no longer stops when the firmware version is undefined.
1.0.0.145 (2018-4-17)
 - Tool added: Average readings from SQM-Pro log files
1.0.0.144 (2018-4-16)
 - Mac bug fix: only one device found did not instantly enable some control buttons.
1.0.0.143 (2018-4-15)
 - Alarm feature enhanced fixed for slow frequency logging.
1.0.0.142 (2018-4-15)
 - Large reading display on information tab.
 - Alarm feature enhanced with snooze button.
1.0.0.141 (2018-3-29)
 - DLHeader: Correction to reduce duplicate entries in TZ Location drop down box.
 - Log continuous bugfix: Do not lock up on missing local time zone name, show message to check header.
1.0.0.140 (2018-3-28)
 - Plotter: Feature added to Save chart as SVG (vector)or PNG (bitmap) to plotter directory.
1.0.0.139 (2018-3-25)
 - Header: List hardware identity value in the header for confirmation and identification purposes.
 - Header: Cleaned up header line counting to be more accurate.
1.0.0.138 (2018-3-18)
 - Plotter: File list initially sorted by filename.
 - Plotter: Autoscaling on all axis.
1.0.0.137 (2018-3-14)
 - Save log to a file, added to log window.
1.0.0.136 (2018-3-05)
 - kml conversion allows multiple color themes.
1.0.0.135 (2018-3-01)
 - kml conversion now creates colored placemarks.
1.0.0.134 (2018-2-25)
 - FTP daily fixed.
1.0.0.133 (2018-2-22)
 - Windows USB: bugfix to prevent crashes when the FTDI USB driver does not properly report USB serial number.
1.0.0.132 (2018-2-19)
 - DL Retrieve-All: do not show GPS header if GPS was turned on during logged data retrieve.
1.0.0.131 (2018-2-14)
 - GPS tab: GUI label positioning corrected so that screen can be enlarged properly.
1.0.0.130 (2018-2-11)
 - Plotter: Do not fault on no sunrise/set calculable (for places/times where sun does not rise or set).
1.0.0.129 (2018-2-09)
 - Bugfix: Version 49-56 tool error, fix for European comma/decimal place.
1.0.0.128 (2018-2-09)
 - Bugfix: Version 49-56 tool error correcting for wrong selected model.
1.0.0.127 (2018-2-09)
 - Bugfix: Version 49-56 tool error checking/reporting for wrong selected model.
1.0.0.126 (2018-2-09)
 - Tool to correct DL .dat files for version 49-56 with subsequent readings 0.66 too bright.
1.0.0.125 (2018-1-20)
 - Cosmetic: remove multiple slashes from saved filename displays on retrieve-all and directories page.
 - added tzdata 2018c updated time zones.
1.0.0.124 (2017-12-31)
 - Bugfix: Log Continuous charting caused memory to grow.
 - Minor feature: worldmap shows current actual settings when called up.
 - bugfix: Plotter position missing caused UTC based Sun/Moon readings instead of disabling.
 - Plotter: inhibit line drawing for unrecorded sections of log data.
 - Plotter : add Sun/Civil/Nautical/Astronmical rise/set markers with checkbox enable.
 - Plotter : grid lines check box enable/disable.
 - Plotter : grid lines check box enable/disable.
 - Plotter : cursor value shows timestamp.
1.0.0.123 (2017-12-20)
 - Added plotter button to DL-retrieve screen, rename old plot tab there to Vector-plot.
 - Added DL battery voltage plot to plotter.
1.0.0.122 (2017-12-12)
 - bugfix: Plotter directory causes crash if only one file exists with long filename.
1.0.0.121 (2017-12-10)
 - .dat Tool added to reconstruct local time records from UTC field and manually set timezone.
1.0.0.120 (2017-12-09)
 - DL: UTC to Local time conversion repaired (was not repsecting Auckland DST) [upascaltz update].
 - Plotter: improved error handling.
1.0.0.119 (2017-12-08)
 - Plotter: Twilight times marked on plot.
 - Log view shows millisecond timestamp for more accurate debugging.
1.0.0.118 (2017-10-30)
 - Plotter: - Update file selection method to conform to Mac use.
    - Added time offset to allow to plots to be manually synchronized.
    - Screen layout changed for bigger chart preview.
    - Saved window panel size changes.
  - Logs directory resettable from directories page.
  - Logs directory changeable and resettable from DL retrieve page.
1.0.0.117 (2017-10-19)
 - Minor fixes:
   - Set firmware file filter to *.hex for un-modeled device selection.
   - Initial Load firmware status changed to "waiting for button to be pressed".
1.0.0.116 (2017-10-16)
 - Fix: Log continuous crashed when an annotation key was pressed.
1.0.0.115 (2017-10-08)
 - Fix: Firmware loading from other directories fixed (added directory seperator).
 - Log humidity from accessory.
1.0.0.114 (2017-10-08)
 - Fix: Mac Firmware tab. Change directory and Load button now working.
1.0.0.113 (2017-10-02)
 - Fix: Mac High DPI Font on Configuration tab main table was too small.
1.0.0.112 (2017-09-30)
 - Fix: Mac version Local timezone name was missing when header screen called up.
 - Fix: Mac Font and text on Configuration tab main table and lock switch options.
1.0.0.111 (2017-09-30)
 - Fix: Audio Alarm and Alert can be diabled/enabled in Mac while running.
1.0.0.110 (2017-09-26)
 - Enhancement: Added Audio Alarm for darknes into Log continuous panel.
1.0.0.109 (2017-09-18)
 - Enhandcement: Firmware selection discriminates various models better (model 4 and 3).
 - Enhancement: Reading failure suggests to check Report interval and Accessories pages for possible fixes.
1.0.0.108 (2017-08-24)
 - DL - firmware file selection filter for only DL files (DL-V files not shown).
1.0.0.107 (2017-08-23)
 - DL - added Tool ".dat time coprrection" to correct .dat files for logged time difference
 - Plotter: fixed up many file read errors and changed chart navigation to use scroll wheel for zooming.
 - color model - added field descriptors in .dat header
1.0.0.106 (2017-08-16)
 - Plotter: loads timezone names on dropdown properly on first view.
1.0.0.106 (2017-08-15)
 - Color unit parsing for two extra parameters of scaling and selected color.
1.0.0.105 (2017-08-14)
 - Bugfix: Command line parameters recently crashed because of internal stringlist copy/assign change in Lazarus/FPC
1.0.0.104 (2017-06-29)
 - Change to information tab when a device is selected in the device list, this clears up some issues of version number dependent features.
1.0.0.103 (2017-06-12)
 - Add license information (GPL) to about screen.
1.0.0.102 (2017-06-01)
 - Accessories-relay: add "Light threshold" value indicator for Windows OS.
1.0.0.101 (2017-05-23)
 - Plotter: fixed some error definitions for modified .dat file names.
1.0.0.100 (2017-05-05)
 - Lens type feedback defaulted to N/A if meter does not respond. This prevents a crash when configuration readings are requested too fast.
1.0.0.99 (2017-04-27)
 - color model shows lock setting on configuration page.
 - Plotter shows two decimal places (instead of one).
1.0.0.98 (2017-04-26)
 - color model asynchronous screen updates separated from code holding registers to remove getversion errors.
 - clear Ethernet error on opencomm to reduce lag on slow networks.
 - triple click on find box no longer produces unfound version.
 - empty instrument ID entries in the registry are ignored on the find box.
 - progress of finding devices detailed in log for timing purposes.
 - civil morning and twilight dots added to plotter.
1.0.0.97 (2017-04-21)
 - Plotter chart updated to not crash on non-standard files.
1.0.0.96 (2017-04-04)
 - Plotter chart updated for accept DL .dat files.
 - command line option -N (no startup scan for devices).
 - command line option -P (display plotter window).
 - DL interface for firmware feature 49 with initial and subsequent records.
1.0.0.95 (2017-03-24)
 - Log continuous option for maximum records logged added.
1.0.0.94 (2017-03-09)
 - color model updates for readings and logging.
1.0.0.93 (2017-03-02)
 - Log continuous moon data logging option added.
1.0.0.92 (2017-02-27)
 - prompt to overwrite configuration log file.
1.0.0.91 (2017-02-03)
 - DL "retrieve all binary" changed to send pre-requests as flow control for slow computers.
1.0.0.90 (2017-02-02)
 - DL-Retrieve page - adjust screen size for small screens.
1.0.0.89 (2017-01-10)
 - LU remove lock description only usable for LE model.
1.0.0.88 (2016-12-26)
 - Log-Continuous Pause button added
1.0.0.87 (2016-12-17)
 - LE Lock settings added.
1.0.0.86 (2016-12-13)
 - Vector retrieve all binary mode added to read new firmware feature 45.
1.0.0.85 (2016-12-11)
 - DL retrieve all binary mode added to read new firmware feature 45.
1.0.0.84 (2016-11-24)
 - Log continuous audio alert option added to play a sound 2 seconds before each reading.
1.0.0.83 (2016-11-21)
 - GPS parse decimal separator fix for European decimals.
 - GPS fix for annotate text before GPS text in .dat file.
1.0.0.82 (2016-10-31)
 - GPS Tool to convert .dat to .kml file added.
1.0.0.80 (2016-09-26)
 - DL: Erase database message updated and erase button removed after erasing.
1.0.0.79 (2016-09-04)
 - Crossover code indicator fixed on Report interval page.
1.0.0.78 (2016-08-30)
 - GPS integration into UDM for all models. Requires a USB GPS like the GlobalSat BU-353.
 - Colorize Light and Dark cal button when calibration values are out of range.
 - Vector: increase size of monitoring visuals for azimuth and angle.
1.0.0.77 (2016-07-05)
 - Add accessories tab I2C and LED options.
1.0.0.76 (2016-06-26)
 - Close Log Continuous files after each record to avoid file "access denied" errors. Update DLRetrieve for closing DLHeader.
1.0.0.75 (2016-06-26)
 - test to suppress writelog crash during Log Continuous.
1.0.0.74 (2016-06-19)
 - debugging enabled for customer troubleshooting.
1.0.0.73 (2016-05-30)
 - Add fixed compensation into GDM (magnetometer) logging
1.0.0.72 (2016-05-28)
 - Windows find USB fixed (caused by FPC 3.0 chnages to Tstringlist.sort)
1.0.0.71 (2016-05-28)
 - Mag: temperatures over 32 not negative anymore.
1.0.0.70 (2016-05-22)
 - LR: do not list RTC model in version info
 - DL: added indicator for missing/defective EEPROM memory chip to Configuration page. 
 - V: one decimal place added to Altitude angle (xx.x) for accuracy checking. 
      Note: testing shows better than +/- 1 degree accuracy
      Headers corrected for "one record", "log cont"
1.0.0.68 (2016-02-25)
 - fix DL battery estimator to include tq (minor non-critical change).
 - List new RTC version on Version window, Calibration report, and meter label.
1.0.0.67 (2016-02-09)
 - FTP dat files fixed for Windows operation.
1.0.0.66 (2016-02-09)
 - Feature to FTP or SCP dat files to a server while logging continuously.
1.0.0.65 (2016-01-17)
 - Status bar coloring does not work (all black for some color themes), changed to default.
 - Continuous log plot now allows inverted MPSAS scale.
 - Fixed many memory leaks, including some log-continuous growing leaks.
1.0.0.64 (20151215)
 - Added vector plot identification of older UDM-stored (below 54) dat files.
 - Vector plot: removed tiny red dots when showlines is not selected. Dots only mode shows circled red dots now.
 - Vector plot: Hourglass cursor added to show lengthy plot recalculation time. 
 - Vector plot: Allow second data files to be opened without crashing. 
1.0.0.63 (20151117)
 - Added threshold limit to Log Continuous page
1.0.0.62 (20151018)
 - Configuration page refresh mpsas reading now shows last digit value instead of 0.
1.0.0.61 (20150924)
 - local timezone region and name drop down combo boxes made read only
   to prevent user from entering invalid descriptions causing
   "Error! IORESULT: 0" during retrieve all records.
1.0.0.60 (20150910)
 - Header elevation had decimal value, now integer.
 - Header definitions now opens PDF as well as going IDA link.
1.0.0.59 (20150815)
 - Allow setting SQM-LE XPort defaults button when single click on Found Erthernet device.
1.0.0.58 (20150814)
 - Vector model: remove dual v2x v1x accell/mag requests from log continuous mode.
1.0.0.57 (20150813)
 - Vector model:
   - remove ""0.0" is not a valid float" error for decimal=comma regions (like Europe).
   - DL Retrieve All corrected CSV heading of Ax, Ay, Ax to Ax, Ay, Az
   - plot Show data dialog cancels properly on unselected file.
   - plot ShowLines toggle fixed.
   - plot Legend range adjustable by entering min/max values.
   - disabled export image button since it only exports the plot (not the legend).
   - reorganized plot controls.
1.0.0.56 (20150707)
 - DL retrieve now logs the time difference which is helpful for interpreting long data logs that need more accurate timestamps.
 - RS232 firmware update is properly enabled aftre LR model has been identified.
1.0.0.55 (20150608)
 - DL time difference display (Data Logging tab) now shows "slow/fast" indication instead of just absolute time difference.
 - Vector calibration ignores magnetic spikes (from lighting ballast etc.).
 - Vector model: header contains calibration information.
 - Vector model: Plot now properly ignores header calibration information.
1.0.0.54 (20150603)
 - Vector model: Log Continuous mode logs raw Accelerometer and magnetometer values
 - Vector model: Log Continuous mode and DL Retrieve mode logs Zenith degrees (as well as Altitude) per SDF_1.0 format.
1.0.0.53 (20150531)
 - Trap exceptions for places where sun does not rise/set to prevent error during log cont. mode when location is defined.
1.0.0.52 (20150514)
 - invert Vector plot legend (bright 10mpsas at top, dark 22mpsas at bottom)
1.0.0.51 (20150508)
 - fix: Comm Terminal auto scroll windows
 - Add range settings to DL retrieve page.
1.0.0.50 (20150505)
  - Bugfix: reading button reading least significant digit was zero from version since version 1.0.0.45
1.0.0.49
  - Feature: Show Instrument_ID from header description on "Found devices" listing.
  - Bugfix: Warn if timezone header settings contain spaces.
1.0.0.48
  - Allow DL retrieve window to selected from Tools menu if no DL is attached.
  - Fix vector data loading in Windows.
1.0.0.47
  - fix spelling mistake (Azimuth) in Vector log header description.
  - DL header "number of lines"; remove unnecessary "+" at end which was added a while ago.
1.0.0.46
  - Show logs directory in View:Directories dialog
  - Allow double-click in multi-device found window to immediately get reading.
1.0.0.45
  - Reading button now properly shows negative signed temperatures instead of 0.0C
1.0.0.44
  - Added Ethernet "XPort defaults" error checking for non-existent or slow telnet server.
1.0.0.43
 - add simulation-from-csv-file feature.
1.0.0.42
 - Remove Vector plot tab from Retrieve page for all other models.
1.0.0.41
 - ADA factor tab selected automatically on log cont page.
 - Configuration page shows temperature alarm in color now.
1.0.0.40
 - Logcont trigger control radio button text contains integer spinwheel
1.0.0.39
 - Vector: Add vibration count to retrieve all function.
 - LogCont chart dots now obey trigger settings, not every 1 second.
 - Logcont left legend marks formatted at 2 decimal places now (#.##)
1.0.0.38
 - Plot line thickness enlarged from 1 pixel to 2 pixels for better readability
 - Log continuous page changes to make larger chart tab and move trigger to separate tab shown on startup.
1.0.0.37
 - Clean up results windows after loading firmware 
1.0.0.36
 - LR port select added /dev/ttyS* options and sorts entries
1.0.0.35
 - Minor improvements to DL screen
 - Generic vector model updates
 - Configuration tab: resize calibration data window to fit larger data set
1.0.0.34
 - DL auto identify various EEPROM FLASH sizes
 - simple plot of points added to log continuous page
 - remove extra LM#x that sets DL mode every time Data Logging tab is selected
1.0.0.33
 - added two view->log messages to identify the command line and configpath
 - firmware files show proper date, and old ones have been moved to archives sub-directory
1.0.0.32
 - added some command line options for auto logging
 - changes from the configuration page no longer trigger device reads
 - vector model added
 - USB-find troubleshooting info added to log
1.0.0.31 2014-02-26
 - rotstage set to full steps (50 steps per 90 degrees)
1.0.0.30 2014-02-16
 - remove auto communication to get calibration and device info when device is initially selected
 - add GDM feedback buttons to log continuously screen
1.0.0.29 2014-01-23
 - Add rotational stage 'rotstage' control
1.0.0.28 2014-01-13
 - Add: Tool to convert old style csv files to new sttyle dat files.
 - ADA (non-SQM) device logging
1.0.0.27 2013-12-21
  - Add: Tool to add Moon data to .dat files and output .csv file for spreadsheet
1.0.0.26 2013-11-20
  - Fix: DL logfile fix for missing European floating point records caused from last two changes.
1.0.0.25 2013-11-20
  - Fix: DL logfile positive temperatures missing from last change.
1.0.0.24 2013-11-17
  - Fix: DL logfile negative temperatures cropped decimal place.

1.0.0.23 2013-11-11
  - change decimal separator from international to decimal point for compatibility to header spec

1.0.0.22 2013-11-10
  - LR model: added /dev/ttyUSB* defaults for Linux
  - Timezone for DL removed from DAT records for compatibility to header spec

1.0.0.21 2013-10-07
  - Timezone for DL retrieve fixed, and listed in DAT records.
  - CRLF properly logged in .dat files according to header specification.
  - Window can be resized so that more found devices are shown without scrolling.
  - Option for finding USB or Ethernet devices only from file menu.

1.0.0.20 2013-07-23
  - Added synchronous and persistent options to log-continuous hotkey-annotations.

1.0.0.19 2013-07-19
  - Fix Mac Enter on DL trigger values causes Find button to be pressed.

1.0.0.18 2013-06-22
  - Fixed up hotkey annotation to allow for more specific hotkeys (like numpad keys)

1.0.0.17 2013-06-19
  Added annotation and hotkeys to Log-continuous mode.
  Fix Linux non-identification of some USB FTDI devices because of driver naming.
  Added "Records Missed Count" to log continuous mode for easier troubleshooting of faulty devices/connections.

1.0.0.16 2013-05-18
  Fix DL tab read unit time bug when extra CRs are received
  Add DL battery estimator records indicator, and 60 minutes calculation fix, and custom mAH rating works now.
  XPort default button is only enabled when an Ethernet device is selected.
  Configuration page details (including version information) are refreshed with; refresh-button, tab-click, and selected unit change.
  USB discovery on Linux machine is now (because udevadm requires root access): ls -al /dev/serial/by-id/
  Added "every minute on the minute" log continuous setting.
  Fine control of log-continuous per-second recording. No more drift, each record request initiated on the 1-second boundary.

1.0.0.15 2013-02-01
  Add RS232 connection ability
  Changeable logs directory re-implemented
  Log continuous button on main info tab with settings similar to DL logging.
  Add link to DL header online definitions to DL Header window.

1.0.0.14 2013-01-09
  Fix DL retrieve all voltage and mpsas in European number format was 0.
  Fix Mac DL configuration file location directory creation.

1.0.0.13 2012-12-22
 Label report interval units
 Information tab buttons for Header and Log-on disabled when no unit is selected.
 Increase timeout for responses (from 1 to 3 seconds) in case OS is a bit slow. This results in some logfile records being missed.

1.0.0.12 2012-12-16
 Add single record log button to information tab
 Update DL log filename according to new datalog header standard (.dat extension, Intrument ID name, stored in log directory)

1.0.0.11 2012-11-13
 Linux USB identification now ignores non-FTDI serial port devices.
 Added splash screen to identify that devices are being searched.
 Linux USB error-check for user added to dialout group.
 Fix: DL clock display was too tiny on Linux, sometimes blanked out.

1.0.0.10 2012-10-31
 DL: Fix; Read log temperature parsing was sometimes 0.0
 Windows: removed debug writeln causing crash after I/O error

1.0.0.9	2012-10-27
 DL: Fix; Read log record by parsing commas instead of fixed field where
  negative mpsas might occur.

1.0.0.8	2012-10-21
 Background color of non-editable field changed to default because some themes
  show this as black background.
 Added Help->VersionInfo menu item. Displays changelog.txt.
 Added Firmware Info button. Displays fchanges.txt.

1.0.0.7	2012-10-15
 Minor changes to new data format. 
 Added fix for SQM-LE Xport data defaults (00:02 disconnect time).
 Battery calculator default to Alkaline (as supplied with order, not optional Lithium)
 Fix: DL result window was blank if DL mpsas record had extra negative sign character.

1.0.0.6 2012-10-04
 Added new DL data format (for testing) defined by Chris Kyba and associates.
 Added directory location definitions (Linux, Windows) for:
  - saving temporary data and 
  - loading firmware files
  - accessing the time zone database


